Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Updating to KDE5
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Tue Jun 30, 2015 5:48 pm    Post subject: Updating to KDE5 Reply with quote

Hi guys!
I am still using a KDE4 system and have USE=qt4 enabled globally.
Today's update wants to pull in some bits and pieces of QT5 and KDE5.
I get blockers though. Question, is there anything special I should take into account on how to do the update?
I don't want to destroy my system at this point, maybe some of you have some hints.
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jun 30, 2015 6:07 pm    Post subject: Reply with quote

Check your unmask files for any careless entries, on a stable system nothing should pull in plasma-5 packages right now.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Tue Jun 30, 2015 6:11 pm    Post subject: Reply with quote

Thanks, genstorm. Well, my unmask file is empty. System is ~amd64.
This is what an emerge -uaD @world looks right now:
Code:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] net-libs/libmnl-1.0.3-r1  USE="-examples -static-libs"
[ebuild   R    ] dev-libs/libpcre-8.37-r1  USE="pcre16*"
[ebuild     U  ] sys-apps/iproute2-4.1.0 [4.0.0-r2]
[ebuild  N     ] virtual/perl-MIME-Base64-3.140.0-r1
[ebuild  N     ] virtual/perl-Exporter-5.710.0-r2
[ebuild  NS    ] sys-kernel/gentoo-sources-4.1.1 [4.1.0-r1] USE="symlink -build -deblob -experimental -kdbus"
[ebuild  N     ] x11-libs/libxkbcommon-0.5.0  USE="X -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)"
[ebuild     U  ] dev-libs/newt-0.52.18 [0.52.15]
[ebuild     U  ] sys-apps/texinfo-6.0 [5.2]
[ebuild  N     ] dev-perl/URI-1.670.0  USE="{-test}"
[ebuild  NS    ] dev-qt/qtcore-5.4.2 [4.8.7] USE="icu systemd -debug {-test}"
[ebuild  N     ] dev-qt/qtxml-5.4.2  USE="-debug {-test}"
[ebuild  NS    ] dev-qt/qtscript-5.4.2 [4.8.7] USE="-debug -scripttools {-test}"
[ebuild  N     ] dev-qt/linguist-tools-5.4.2  USE="-debug -qml {-test}"
[ebuild  NS    ] dev-qt/qtdbus-5.4.2 [4.8.7] USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/kf-env-3
[ebuild  N     ] kde-frameworks/kcoreaddons-5.11.0  USE="fam nls -debug -doc {-test}"
[ebuild  N     ] kde-frameworks/ki18n-5.11.0  USE="-debug -doc {-test}"
[ebuild  N     ] kde-frameworks/kcodecs-5.11.0  USE="nls -debug -doc {-test}"
[ebuild  N     ] kde-frameworks/karchive-5.11.0  USE="bzip2 lzma -debug -doc {-test}"
[ebuild  N     ] kde-frameworks/kdoctools-5.11.0  USE="-debug -doc {-test}"
[ebuild  NS    ] dev-qt/qtgui-5.4.2 [4.8.7] USE="accessibility gif harfbuzz jpeg png udev xcb -debug -egl -eglfs -evdev -gles2 -gtkstyle -ibus -kms {-test}"
[ebuild     U  ] net-print/cups-filters-1.0.70 [1.0.68]
[ebuild  N     ] dev-qt/qtwidgets-5.4.2  USE="png xcb -debug -gles2 -gtkstyle {-test}"
[ebuild  N     ] kde-frameworks/kconfig-5.11.0  USE="nls -debug -doc {-test}"
[ebuild   R    ] sys-auth/polkit-qt-0.112.0-r1  USE="qt5*"
[ebuild  N     ] kde-frameworks/kwidgetsaddons-5.11.0  USE="nls -debug -doc {-test}"
[ebuild  N     ] dev-qt/qtx11extras-5.4.2  USE="-debug {-test}"
[ebuild     U  ] app-emulation/wine-1.7.46 [1.7.45]
[ebuild  N     ] kde-frameworks/kauth-5.11.0  USE="nls (policykit) -debug -doc {-test}"
[ebuild  N     ] kde-frameworks/kguiaddons-5.11.0  USE="-debug -doc {-test}"
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.11.0  USE="-debug -doc {-test}"
[ebuild  NS    ] kde-misc/systemd-kcm-1.1.0 [0.7.0] USE="-debug"
[uninstall     ] kde-misc/systemd-kcm-0.7.0
[blocks b      ] kde-misc/systemd-kcm:4 ("kde-misc/systemd-kcm:4" is blocking kde-misc/systemd-kcm-1.1.0)

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by kde-frameworks/kauth-5.11.0::gentoo
# required by kde-misc/systemd-kcm-1.1.0::gentoo
# required by @selected
# required by @world (argument)
>=sys-auth/polkit-qt-0.112.0-r1 qt5

_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jun 30, 2015 6:21 pm    Post subject: Reply with quote

Code:
[ebuild  NS    ] kde-misc/systemd-kcm-1.1.0 [0.7.0] USE="-debug"
[uninstall     ] kde-misc/systemd-kcm-0.7.0
[blocks b      ] kde-misc/systemd-kcm:4 ("kde-misc/systemd-kcm:4" is blocking kde-misc/systemd-kcm-1.1.0)


The systemd-kcm upgrade (slot 4 to slot 5) is pulling in kde-frameworks bits, but won't do you any good unless you want to move to plasma-5 now.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Tue Jun 30, 2015 6:26 pm    Post subject: Reply with quote

Already using it under Kubuntu. I would move. But I am having a highly customized KDE4 desktop, only emerge basics and single packages, not much kde-meta stuff...
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jun 30, 2015 7:15 pm    Post subject: Reply with quote

So, you have the option to record kde-misc/systemd-kcm:4 in your world file or mask kde-misc/systemd-kcm:5 to maintain your existing system until actual kde-applications:5 packages are entering tree, or take the plunge and visit the Plasma 5 Upgrade wiki. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Tue Jun 30, 2015 7:49 pm    Post subject: Reply with quote

Cool, I didn't even knew there was a Wiki-page for that. Gonna give it a try ;)
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
davidm
Guru
Guru


Joined: 26 Apr 2009
Posts: 557
Location: US

PostPosted: Tue Jun 30, 2015 8:39 pm    Post subject: Reply with quote

Martux wrote:
Cool, I didn't even knew there was a Wiki-page for that. Gonna give it a try ;)


Session management is pretty much broke still in Plasma 5.x as are activities. There have been commits to fix it but I don't think the fixes will make it to the releases until around August probably with the plasma 5.4 release. I'm also unsure of how much activities have been fixed even with the fixes. So if these are important features to you then you might want to hold off until August. Otherwise I've been using it on a production system for many months now and have had no issues getting work done. :)
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 7:43 pm    Post subject: Reply with quote

Guys, following the Wiki guide, I get a lot of blockers, obviously.
Still having my KDE4 system installed, what would be the strategy here? USE="-qt4" and unmerge all of KDE4 first until the blockers are gone, or what?
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 01, 2015 7:47 pm    Post subject: Reply with quote

What blockers do you get? Also, you'd like to keep qt4 since (most likely) you can't be without qt4 applications, especially when you stick with the tree. Removing KDE4 works as a brute method but a good chunk of it will be added back anyway, so useless rebuilds.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Wed Jul 01, 2015 7:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 7:50 pm    Post subject: Reply with quote

Right now, this is the list of horrors 8O
Code:

USE="-qt4 -upower  qt5" emerge -a plasma-desktop sddm

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-libs/libyaml-0.1.6::gentoo  USE="-doc -examples -static-libs {-test}" 492 KiB
[ebuild  N     ] sys-libs/libunwind-1.1:7::gentoo  USE="lzma -debug -debug-frame -libatomic -static-libs" 1.073 KiB
[ebuild  N     ] dev-util/google-perftools-2.0-r2:0/4::gentoo  USE="-debug -largepages -minimal -static-libs {-test}" 1.232 KiB
[ebuild  N     ] dev-libs/xapian-1.2.21::gentoo  USE="brass chert inmemory -doc -static-libs" CPU_FLAGS_X86="sse sse2" 3.128 KiB
[ebuild  N     ] dev-libs/wayland-1.7.0::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 364 KiB
[ebuild  N     ] app-eselect/eselect-ruby-20141227::gentoo  2 KiB
[ebuild  N     ] virtual/perl-MIME-Base64-3.140.0-r1::gentoo  0 KiB
[ebuild  N     ] virtual/perl-Exporter-5.710.0-r2::gentoo  0 KiB
[ebuild  N     ] x11-libs/libxkbcommon-0.5.0::gentoo  USE="X -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)" 602 KiB
[ebuild  N     ] app-arch/snappy-1.1.2-r1::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 1.451 KiB
[ebuild  N     ] dev-util/ragel-6.8::gentoo  USE="-vim-syntax" 1.183 KiB
[ebuild  N     ] dev-libs/leveldb-1.18-r1::gentoo  USE="snappy tcmalloc -static-libs" 205 KiB
[ebuild  N     ] dev-perl/URI-1.680.0::gentoo  USE="{-test}" 98 KiB
[ebuild  N     ] dev-lang/ruby-2.2.2-r1:2.2::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl -debug -doc -examples -ipv6 -jemalloc -rubytests -socks5 -xemacs" 10.221 KiB
[ebuild  N     ] dev-lang/ruby-2.0.0_p645:2.0::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs" CPU_FLAGS_X86="sse2" 8.104 KiB
[ebuild  N     ] dev-lang/ruby-1.9.3_p551-r1:1.9::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl yaml -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs" 9.818 KiB
[ebuild  N     ] dev-ruby/rubygems-2.4.8::gentoo  USE="-server {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 438 KiB
[ebuild  N     ] virtual/rubygems-11::gentoo  RUBY_TARGETS="ruby19 ruby20 ruby22 (-rbx) -ruby21" 0 KiB
[ebuild  N     ] dev-ruby/power_assert-0.2.3::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby20 ruby22 -ruby21" 13 KiB
[ebuild  N     ] dev-ruby/minitest-5.7.0:5::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 70 KiB
[ebuild  N     ] dev-ruby/rake-10.4.2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 128 KiB
[ebuild  N     ] dev-ruby/json-1.8.3::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 149 KiB
[ebuild  N     ] dev-ruby/test-unit-3.1.2:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 120 KiB
[ebuild  N     ] dev-ruby/racc-1.4.12::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 113 KiB
[ebuild  N     ] dev-ruby/rdoc-4.1.2-r1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 713 KiB
[ebuild  NS    ] dev-qt/qtcore-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="icu systemd -debug {-test}" 45.268 KiB
[ebuild  N     ] dev-qt/qtxml-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtsql-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="sqlite -debug -freetds -mysql -oci8 -odbc -postgres {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtscript-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug -scripttools {-test}" 2.531 KiB
[ebuild  N     ] dev-qt/qtconcurrent-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qttest-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 0 KiB
[ebuild  N     ] dev-qt/qtpaths-5.4.2:5::gentoo  USE="-debug {-test}" 9.115 KiB
[ebuild  NS    ] dev-qt/qtdbus-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 0 KiB
[ebuild  N     ] kde-frameworks/kf-env-3:5::gentoo  0 KiB
[ebuild  N     ] dev-qt/qdbus-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  N     ] kde-frameworks/ki18n-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 573 KiB
[ebuild  N     ] kde-frameworks/karchive-5.11.0:5/5.11::gentoo  USE="bzip2 lzma -debug -doc {-test}" 107 KiB
[ebuild  N     ] kde-frameworks/kitemmodels-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 366 KiB
[ebuild  N     ] kde-frameworks/threadweaver-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 1.376 KiB
[ebuild  N     ] kde-frameworks/kdoctools-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 397 KiB
[ebuild  N     ] kde-frameworks/kjs-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 284 KiB
[ebuild  N     ] dev-qt/qtnetwork-5.4.2:5::gentoo  USE="networkmanager ssl -bindist -connman -debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtxmlpatterns-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 1.286 KiB
[ebuild  N     ] kde-frameworks/attica-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 60 KiB
[ebuild  N     ] kde-frameworks/kunitconversion-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 606 KiB
[ebuild  N     ] kde-frameworks/networkmanager-qt-5.11.0:5/5.11::gentoo  USE="-debug -doc -teamd {-test}" 150 KiB
[ebuild  NS    ] dev-qt/qtgui-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="accessibility gif harfbuzz jpeg png udev xcb -debug -egl -eglfs -evdev -gles2 -gtkstyle -ibus -kms {-test}" 0 KiB
[ebuild   R    ] app-text/poppler-0.33.0-r1:0/52::gentoo  USE="cairo cxx introspection jpeg jpeg2k lcms png qt5* tiff utils -cjk -curl -debug -doc -qt4*" 0 KiB
[ebuild  N     ] dev-qt/qtwidgets-5.4.2:5::gentoo  USE="png xcb -debug -gles2 -gtkstyle {-test}" 0 KiB
[ebuild  N     ] kde-plasma/kdecoration-5.3.2:5::gentoo  USE="-debug" 33 KiB
[ebuild  N     ] kde-plasma/kwayland-5.3.2:5::gentoo  USE="-debug {-test}" 91 KiB
[ebuild  N     ] dev-qt/qtx11extras-5.4.2:5::gentoo  USE="-debug {-test}" 25 KiB
[ebuild  NS    ] dev-qt/qtdeclarative-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="widgets xml -debug -gles2 -localstorage {-test}" 18.064 KiB
[ebuild  NS    ] dev-qt/qtsvg-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 1.752 KiB
[ebuild  N     ] dev-qt/qtprintsupport-5.4.2:5::gentoo  USE="cups -debug -gles2 {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtopengl-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug -gles2 {-test}" 0 KiB
[ebuild   R    ] dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1::gentoo  USE="qt5* -debug -doc -qt4* {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] sys-auth/polkit-qt-0.112.0-r1::gentoo  USE="qt5* -debug -examples -qt4*" 0 KiB
[ebuild  N     ] kde-plasma/kfilemetadata-5.9.2:5::gentoo  USE="exif ffmpeg pdf taglib -debug -epub -libav {-test}" 118 KiB
[ebuild  N     ] dev-qt/linguist-tools-5.4.2:5::gentoo  USE="qml -debug {-test}" 0 KiB
[ebuild  N     ] kde-frameworks/kguiaddons-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 39 KiB
[ebuild  NS    ] dev-qt/designer-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="declarative -debug {-test} -webkit" 0 KiB
[ebuild  NS    ] dev-qt/qtwebkit-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="opengl qml udev -debug -gstreamer -gstreamer010 -multimedia -printsupport {-test} -webp" 32.677 KiB
[ebuild  N     ] kde-frameworks/kidletime-5.11.0:5/5.11::gentoo  USE="-debug -doc" 23 KiB
[ebuild  N     ] dev-qt/qtquickcontrols-5.4.2:5::gentoo  USE="widgets -debug {-test}" 929 KiB
[ebuild  NS    ] dev-qt/qtmultimedia-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="alsa opengl pulseaudio qml widgets -debug -gstreamer -openal {-test}" 3.328 KiB
[ebuild  N     ] kde-plasma/libkscreen-5.3.2:5::gentoo  USE="-debug {-test}" 70 KiB
[ebuild  N     ] dev-qt/qtquick1-5.4.2:5::gentoo  USE="opengl xml -debug -designer {-test} -webkit" 15.647 KiB
[ebuild  N     ] kde-frameworks/kcoreaddons-5.11.0:5/5.11::gentoo  USE="fam nls -debug -doc {-test}" 295 KiB
[ebuild  N     ] kde-frameworks/kconfig-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 214 KiB
[ebuild  N     ] kde-frameworks/kwidgetsaddons-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 2.077 KiB
[ebuild  N     ] kde-frameworks/kwindowsystem-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 157 KiB
[ebuild  N     ] kde-frameworks/kdbusaddons-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 33 KiB
[ebuild  N     ] kde-frameworks/kitemviews-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 73 KiB
[ebuild  N     ] kde-frameworks/kcodecs-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 219 KiB
[ebuild  N     ] kde-frameworks/solid-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 260 KiB
[ebuild  N     ] kde-frameworks/sonnet-5.11.0:5/5.11::gentoo  USE="aspell nls -debug -doc -hunspell {-test}" 268 KiB
[ebuild  N     ] kde-frameworks/kdnssd-5.11.0:5/5.11::gentoo  USE="nls zeroconf -debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/kjsembed-5.11.0:5/5.11::gentoo  USE="-debug -doc" 161 KiB
[ebuild  N     ] x11-misc/sddm-0.11.0-r1::gentoo  USE="systemd (-consolekit) -upower" 4.625 KiB
[ebuild  N     ] kde-frameworks/kcompletion-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 114 KiB
[ebuild  N     ] kde-frameworks/kjobwidgets-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 87 KiB
[ebuild  N     ] kde-frameworks/kauth-5.11.0:5/5.11::gentoo  USE="nls (policykit) -debug -doc {-test}" 81 KiB
[ebuild  N     ] kde-frameworks/kcrash-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 20 KiB
[ebuild  N     ] kde-frameworks/kpackage-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 96 KiB
[ebuild  N     ] kde-frameworks/kpty-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/kdesignerplugin-5.11.0:5/5.11::gentoo  USE="nls -debug -designer -doc -webkit" 85 KiB
[ebuild  N     ] kde-frameworks/kservice-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 258 KiB
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 351 KiB
[ebuild  N     ] kde-frameworks/kglobalaccel-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 80 KiB
[ebuild  N     ] kde-frameworks/kiconthemes-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 191 KiB
[ebuild  N     ] kde-frameworks/kemoticons-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 72 KiB
[ebuild  N     ] kde-frameworks/kdesu-5.11.0:5/5.11::gentoo  USE="X -debug -doc" 43 KiB
[ebuild  N     ] kde-frameworks/kpeople-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/ktextwidgets-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 299 KiB
[ebuild  N     ] kde-frameworks/kxmlgui-5.11.0:5/5.11::gentoo  USE="-attica -debug -doc {-test}" 843 KiB
[ebuild  N     ] kde-frameworks/kbookmarks-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 113 KiB
[ebuild   R    ] media-libs/phonon-4.8.3-r1::gentoo  USE="designer pulseaudio qt5* vlc (-aqua) -debug -gstreamer -qt4* (-zeitgeist)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/phonon-vlc-0.8.2::gentoo  USE="qt5* -debug -qt4*" 0 KiB
[ebuild  N     ] kde-frameworks/knotifications-5.11.0:5/5.11::gentoo  USE="X dbus nls -debug -doc" 91 KiB
[ebuild  N     ] kde-frameworks/kwallet-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 262 KiB
[ebuild  N     ] kde-frameworks/kio-5.11.0:5/5.11::gentoo  USE="X acl -debug -doc -kerberos {-test}" 2.780 KiB
[ebuild  N     ] kde-frameworks/kinit-5.11.0:5/5.11::gentoo  USE="caps -debug -doc" 115 KiB
[ebuild  N     ] kde-frameworks/kded-5.11.0:5/5.11::gentoo  USE="-debug -doc" 35 KiB
[ebuild  N     ] kde-frameworks/kdeclarative-5.11.0:5/5.11::gentoo  USE="-debug -doc" 156 KiB
[ebuild  N     ] kde-frameworks/kparts-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 151 KiB
[ebuild  N     ] kde-frameworks/knewstuff-5.11.0:5/5.11::gentoo  USE="-debug -doc" 831 KiB
[ebuild  N     ] kde-frameworks/knotifyconfig-5.11.0:5/5.11::gentoo  USE="phonon -debug -doc" 81 KiB
[ebuild  N     ] kde-frameworks/frameworkintegration-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 1.739 KiB
[ebuild  N     ] kde-frameworks/kxmlrpcclient-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 28 KiB
[ebuild  N     ] kde-frameworks/kcmutils-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 230 KiB
[ebuild  N     ] kde-frameworks/kdelibs4support-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 3.140 KiB
[ebuild  N     ] kde-plasma/oxygen-5.3.2:5::gentoo  USE="-debug" 4.362 KiB
[ebuild  N     ] kde-frameworks/khtml-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 2.023 KiB
[ebuild  N     ] kde-frameworks/ktexteditor-5.11.0:5/5.11::gentoo  USE="-debug -doc -git {-test}" 2.740 KiB
[ebuild  N     ] kde-frameworks/kdewebkit-5.11.0:5/5.11::gentoo  USE="-debug -doc" 29 KiB
[ebuild  N     ] kde-frameworks/kactivities-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 162 KiB
[ebuild  N     ] kde-plasma/kde-cli-tools-5.3.2:5::gentoo  USE="X -debug -handbook {-test}" 474 KiB
[ebuild  N     ] kde-plasma/baloo-5.9.2:5::gentoo  USE="-debug" 141 KiB
[ebuild  N     ] kde-plasma/kio-extras-5.3.2:5::gentoo  USE="exif mtp phonon sftp -debug -handbook -samba -slp {-test}" 599 KiB
[ebuild  N     ] kde-frameworks/plasma-5.11.0:5/5.11::gentoo  USE="X opengl -debug -doc -egl {-test}" 3.916 KiB
[ebuild  N     ] kde-plasma/breeze-5.3.2:5::gentoo  USE="-debug -qt4" 28.380 KiB
[ebuild  N     ] kde-frameworks/krunner-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 47 KiB
[ebuild  N     ] kde-plasma/kwin-5.3.2:5::gentoo  USE="-debug -gles2 -handbook {-test} -wayland" 3.739 KiB
[ebuild  N     ] kde-plasma/libksysguard-5.3.2:5::gentoo  USE="X processui -debug {-test}" 549 KiB
[ebuild  N     ] kde-plasma/milou-5.3.2:5::gentoo  USE="-debug" 50 KiB
[ebuild  N     ] kde-plasma/plasma-workspace-5.3.2:5::gentoo  USE="dbus drkonqi systemmonitor -debug -gps -handbook (-prison) -qalculate {-test}" 6.700 KiB
[ebuild  N     ] kde-plasma/plasma-desktop-5.3.2:5::gentoo  USE="fontconfig pulseaudio usb -debug -gtk2 -gtk3 -handbook -legacy-systray -qt4 {-test} -touchpad" 5.751 KiB
[blocks B      ] kde-base/kwin ("kde-base/kwin" is blocking kde-plasma/kwin-5.3.2)
[blocks B      ] kde-base/kactivities:4[-minimal(-)] ("kde-base/kactivities:4[-minimal(-)]" is blocking kde-frameworks/kactivities-5.11.0)
[blocks B      ] kde-apps/attica ("kde-apps/attica" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/kcminit ("kde-base/kcminit" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kde4-l10n[-minimal] ("kde-apps/kde4-l10n[-minimal]" is blocking kde-plasma/kio-extras-5.3.2, kde-plasma/libkscreen-5.3.2, kde-plasma/kdecoration-5.3.2, kde-plasma/oxygen-5.3.2, kde-plasma/breeze-5.3.2, kde-plasma/baloo-5.9.2, kde-plasma/kwayland-5.3.2, kde-plasma/libksysguard-5.3.2, kde-plasma/kde-cli-tools-5.3.2, kde-plasma/plasma-workspace-5.3.2, kde-plasma/kwin-5.3.2, kde-plasma/kfilemetadata-5.9.2, kde-plasma/milou-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/plasma-workspace ("kde-base/plasma-workspace" is blocking kde-plasma/plasma-workspace-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/krunner ("kde-base/krunner" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/klipper ("kde-base/klipper" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kdepasswd ("kde-apps/kdepasswd" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-apps/kcontrol ("kde-apps/kcontrol" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/ksysguard:4 ("kde-base/ksysguard:4" is blocking kde-plasma/libksysguard-5.3.2)
[blocks B      ] kde-base/systemsettings ("kde-base/systemsettings" is blocking kde-plasma/kwin-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/libtaskmanager ("kde-base/libtaskmanager" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/kdebase-cursors ("kde-base/kdebase-cursors" is blocking kde-plasma/oxygen-5.3.2)
[blocks B      ] kde-base/ksmserver ("kde-base/ksmserver" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/kdebase-startkde ("kde-base/kdebase-startkde" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kcontrol:4 ("kde-apps/kcontrol:4" is blocking kde-plasma/kio-extras-5.3.2)
[blocks B      ] kde-apps/kdebase-kioslaves:4[-minimal(-)] ("kde-apps/kdebase-kioslaves:4[-minimal(-)]" is blocking kde-plasma/kio-extras-5.3.2)
[blocks B      ] kde-base/ksplash ("kde-base/ksplash" is blocking kde-plasma/plasma-workspace-5.3.2)

Total: 128 packages (110 new, 13 in new slots, 5 reinstalls), Size of downloads: 255.165 KiB
Conflict: 19 blocks (19 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-auth/polkit-qt:0

  (sys-auth/polkit-qt-0.112.0-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    sys-auth/polkit-qt[qt5] required by (kde-frameworks/kauth-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                       ^^^                                                                                                                         

  (sys-auth/polkit-qt-0.112.0-r1:0/0::gentoo, installed) pulled in by
    >=sys-auth/polkit-qt-0.103.0[qt4(+)] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                                                                                                                         
    >=sys-auth/polkit-qt-0.103.0[qt4(+)] required by (sys-auth/polkit-kde-agent-0.99.1-r1:4/4::gentoo, installed)
                                                                                                                                 

app-text/poppler:0

  (app-text/poppler-0.33.0-r1:0/52::gentoo, ebuild scheduled for merge) pulled in by
    app-text/poppler[qt5] required by (kde-plasma/kfilemetadata-5.9.2:5/5::gentoo, ebuild scheduled for merge)
                     ^^^                                                                                                                         

  (app-text/poppler-0.33.0-r1:0/52::gentoo, installed) pulled in by
    >=app-text/poppler-0.20[qt4,-exceptions(-)] required by (kde-apps/okular-4.14.3:4/4.14::gentoo, installed)
                            ^^^                                                                                                                   

media-libs/phonon:0

  (media-libs/phonon-4.8.3-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/phonon[qt5] required by (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                           
    media-libs/phonon[qt5] required by (kde-frameworks/knotifications-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                                   
    media-libs/phonon[qt5] required by (kde-frameworks/knotifyconfig-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                                 
    media-libs/phonon[qt5] required by (kde-frameworks/khtml-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                         
    media-libs/phonon[qt5] required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                             
    media-libs/phonon[qt5] required by (kde-plasma/kio-extras-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                       
    >=media-libs/phonon-4.8.0[qt4=,qt5=] required by (media-libs/phonon-vlc-0.8.2:0/0::gentoo, ebuild scheduled for merge)
                              ^^^^ ^^^^                                                                                                                                         

  (media-libs/phonon-4.8.3-r1:0/0::gentoo, installed) pulled in by
    media-libs/phonon[qt4] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                      ^^^                                                                                                     
    media-libs/phonon[qt4] required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)
                      ^^^                                                                                                   
    media-libs/phonon[qt4] required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
                      ^^^                                                                                                     
    media-libs/phonon[qt4] required by (media-plugins/kipi-plugins-4.10.0:4/4::gentoo, installed)
                      ^^^                                                                                                           
    media-libs/phonon[qt4] required by (kde-apps/phonon-kde-4.14.3:4/4.14::gentoo, installed)
                      ^^^                                                                                                       
    media-libs/phonon[qt4] required by (kde-apps/marble-4.14.3:4/4.14::gentoo, installed)
                      ^^^                                                                                                   
    media-libs/phonon[designer,qt4] required by (dev-qt/designer-4.8.7:4/4::gentoo, installed)
                               ^^^                                                                                               
    >=media-libs/phonon-4.8.0[qt4=,qt5=] required by (media-libs/phonon-vlc-0.8.2:0/0::gentoo, installed)
                              ^^^^ ^^^^                                                                                                                         

media-libs/phonon-vlc:0

  (media-libs/phonon-vlc-0.8.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/phonon-vlc-0.8.0[qt4?,qt5?] required by (media-libs/phonon-4.8.3-r1:0/0::gentoo, ebuild scheduled for merge)
                                       ^^^^                                                                                                                     

  (media-libs/phonon-vlc-0.8.2:0/0::gentoo, installed) pulled in by
    >=media-libs/phonon-vlc-0.8.0[qt4?,qt5?] required by (media-libs/phonon-4.8.3-r1:0/0::gentoo, installed)
                                  ^^^^                                                                                                         

dev-libs/libdbusmenu-qt:0

  (dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libdbusmenu-qt[qt5] required by (kde-frameworks/knotifications-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                            ^^^                                                                                                                                   
    dev-libs/libdbusmenu-qt[qt5] required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                            ^^^                                                                                                                             

  (dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1:0/0::gentoo, installed) pulled in by
    >=dev-libs/libdbusmenu-qt-0.3.2[qt4(+)] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                                                                                                                           


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-base/kactivities-4.13.3:4/4.13::gentoo, installed) pulled in by
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/plasma-runtime-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/libtaskmanager-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/kate-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/powerdevil-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/gwenview-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/kwin-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/plasma-workspace-4.11.20:4/4.11::gentoo, installed)

  (kde-base/kdebase-cursors-4.11.20:4/4.11::gentoo, installed) pulled in by
    kde-base/kdebase-cursors required by @selected

  (kde-apps/kdepasswd-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/kdepasswd-4.11.20:4[aqua=] (>=kde-apps/kdepasswd-4.11.20:4[-aqua]) required by (kde-base/kdm-4.11.20:4/4.11::gentoo, installed)

  (kde-apps/kdebase-kioslaves-4.14.3:4/4.14::gentoo, installed) pulled in by
    kde-apps/kdebase-kioslaves:4 required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)
    >=kde-apps/kdebase-kioslaves-4.14.3:4[aqua=] (>=kde-apps/kdebase-kioslaves-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)

  (kde-base/plasma-workspace-4.11.20:4/4.11::gentoo, installed) pulled in by
    >=kde-base/plasma-workspace-4.4:4[aqua=] (>=kde-base/plasma-workspace-4.4:4[-aqua]) required by (kde-misc/kdeconnect-0.8:4/4::gentoo, installed)
    >=kde-base/plasma-workspace-4.11.20:4[aqua=] (>=kde-base/plasma-workspace-4.11.20:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.20:4/4.11::gentoo, installed)

  (kde-base/klipper-4.11.20:4/4.11::gentoo, installed) pulled in by
    kde-base/klipper required by @selected

  (kde-apps/kcontrol-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/kcontrol-4.14.3:4[aqua=] (>=kde-apps/kcontrol-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)

  (kde-apps/kde4-l10n-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kde-gtk-config-2.2.1:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.10:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.10:4[-aqua,linguas_de(+)]) required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (app-cdr/k3b-2.0.3-r2:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (net-wireless/bluedevil-2.1.1:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.10:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.10:4[-aqua,linguas_de(+)]) required by (media-plugins/kipi-plugins-4.10.0:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kdeconnect-0.8:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (sys-auth/polkit-kde-agent-0.99.1-r1:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/plasma-nm-0.9.3.6:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.8:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.8:4[-aqua,linguas_de(+)]) required by (kde-misc/kshutdown-3.2:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kscreen-1.0.71:4/4::gentoo, installed)

  (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge) pulled in by
    plasma-desktop

  (kde-base/systemsettings-4.11.20:4/4.11::gentoo, installed) pulled in by
    kde-base/systemsettings required by @selected
    >=kde-base/systemsettings-4.4:4[aqua=] (>=kde-base/systemsettings-4.4:4[-aqua]) required by (x11-themes/qtcurve-1.8.18:0/0::gentoo, installed)
    >=kde-base/systemsettings-4.11.20:4[aqua=] (>=kde-base/systemsettings-4.11.20:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.20:4/4.11::gentoo, installed)

  (kde-base/kdebase-startkde-4.11.20:4/4.11::gentoo, installed) pulled in by
    kde-base/kdebase-startkde required by @selected

  (kde-frameworks/kactivities-5.11.0:5/5.11::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/kwin-5.3.2:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11 required by (kde-frameworks/plasma-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge)

  (kde-base/kwin-4.11.20:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kwin-4.4:4[aqua=] (>=kde-base/kwin-4.4:4[-aqua]) required by (x11-themes/qtcurve-1.8.18:0/0::gentoo, installed)
    >=kde-base/kwin-4.11.20:4[aqua=] (>=kde-base/kwin-4.11.20:4[-aqua]) required by (kde-base/kdebase-startkde-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kwin-4.11.20:4[aqua=] (>=kde-base/kwin-4.11.20:4[-aqua]) required by (kde-base/systemsettings-4.11.20:4/4.11::gentoo, installed)

  (kde-apps/attica-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/attica-4.14.3:4[aqua=] (>=kde-apps/attica-4.14.3:4[-aqua]) required by (kde-apps/kdebase-runtime-meta-4.14.3:4/4::gentoo, installed)

_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 01, 2015 7:54 pm    Post subject: Reply with quote

Code:
[blocks B      ] kde-base/kwin ("kde-base/kwin" is blocking kde-plasma/kwin-5.3.2)
[blocks B      ] kde-base/kactivities:4[-minimal(-)] ("kde-base/kactivities:4[-minimal(-)]" is blocking kde-frameworks/kactivities-5.11.0)
[blocks B      ] kde-apps/attica ("kde-apps/attica" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/kcminit ("kde-base/kcminit" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kde4-l10n[-minimal] ("kde-apps/kde4-l10n[-minimal]" is blocking kde-plasma/kio-extras-5.3.2, kde-plasma/libkscreen-5.3.2, kde-plasma/kdecoration-5.3.2, kde-plasma/oxygen-5.3.2, kde-plasma/breeze-5.3.2, kde-plasma/baloo-5.9.2, kde-plasma/kwayland-5.3.2, kde-plasma/libksysguard-5.3.2, kde-plasma/kde-cli-tools-5.3.2, kde-plasma/plasma-workspace-5.3.2, kde-plasma/kwin-5.3.2, kde-plasma/kfilemetadata-5.9.2, kde-plasma/milou-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/plasma-workspace ("kde-base/plasma-workspace" is blocking kde-plasma/plasma-workspace-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/krunner ("kde-base/krunner" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/klipper ("kde-base/klipper" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kdepasswd ("kde-apps/kdepasswd" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-apps/kcontrol ("kde-apps/kcontrol" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/ksysguard:4 ("kde-base/ksysguard:4" is blocking kde-plasma/libksysguard-5.3.2)
[blocks B      ] kde-base/systemsettings ("kde-base/systemsettings" is blocking kde-plasma/kwin-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/libtaskmanager ("kde-base/libtaskmanager" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/kdebase-cursors ("kde-base/kdebase-cursors" is blocking kde-plasma/oxygen-5.3.2)
[blocks B      ] kde-base/ksmserver ("kde-base/ksmserver" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/kdebase-startkde ("kde-base/kdebase-startkde" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-apps/kcontrol:4 ("kde-apps/kcontrol:4" is blocking kde-plasma/kio-extras-5.3.2)
[blocks B      ] kde-apps/kdebase-kioslaves:4[-minimal(-)] ("kde-apps/kdebase-kioslaves:4[-minimal(-)]" is blocking kde-plasma/kio-extras-5.3.2)
[blocks B      ] kde-base/ksplash ("kde-base/ksplash" is blocking kde-plasma/plasma-workspace-5.3.2)

Not that bad actually!

Now, how many of those are recorded in your world file (makes it impossible for portage to auto-resolve the block)?
Code:
$ grep kde-base /var/lib/portage/world
$ grep kde-apps /var/lib/portage/world


Did you actually switch to the plasma profile?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Wed Jul 01, 2015 7:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 7:57 pm    Post subject: Reply with quote

Just a few, actually:
Code:

grep kde-base /var/lib/portage/world
kde-base/kdebase-cursors
kde-base/kdebase-startkde
kde-base/kdm
kde-base/klipper
kde-base/kmenuedit
kde-base/powerdevil
kde-base/systemsettings

_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 01, 2015 8:01 pm    Post subject: Reply with quote

Well, get rid of them entries! (also please read updated post above)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 8:06 pm    Post subject: Reply with quote

Yes, I switched to the plasma/systemd profile already.
It doesn't seem to be enough to remove the entries from world, still unresolvable blockers:
Code:

[ebuild  N     ] dev-libs/libyaml-0.1.6::gentoo  USE="-doc -examples -static-libs {-test}" 492 KiB
[ebuild  N     ] sys-libs/libunwind-1.1:7::gentoo  USE="lzma -debug -debug-frame -libatomic -static-libs" 1.073 KiB
[ebuild  N     ] dev-util/google-perftools-2.0-r2:0/4::gentoo  USE="-debug -largepages -minimal -static-libs {-test}" 1.232 KiB
[ebuild  N     ] dev-libs/xapian-1.2.21::gentoo  USE="brass chert inmemory -doc -static-libs" CPU_FLAGS_X86="sse sse2" 3.128 KiB
[ebuild  N     ] dev-libs/wayland-1.7.0::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 364 KiB
[ebuild  N     ] app-eselect/eselect-ruby-20141227::gentoo  2 KiB
[ebuild  N     ] virtual/perl-MIME-Base64-3.140.0-r1::gentoo  0 KiB
[ebuild  N     ] virtual/perl-Exporter-5.710.0-r2::gentoo  0 KiB
[ebuild  N     ] x11-libs/libxkbcommon-0.5.0::gentoo  USE="X -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)" 602 KiB
[ebuild  N     ] dev-util/ragel-6.8::gentoo  USE="-vim-syntax" 1.183 KiB
[ebuild  N     ] app-arch/snappy-1.1.2-r1::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 1.451 KiB
[ebuild  N     ] dev-libs/leveldb-1.18-r1::gentoo  USE="snappy tcmalloc -static-libs" 205 KiB
[ebuild  N     ] dev-perl/URI-1.680.0::gentoo  USE="{-test}" 98 KiB
[ebuild  N     ] dev-lang/ruby-2.2.2-r1:2.2::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl -debug -doc -examples -ipv6 -jemalloc -rubytests -socks5 -xemacs" 10.221 KiB
[ebuild  N     ] dev-lang/ruby-2.0.0_p645:2.0::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs" CPU_FLAGS_X86="sse2" 8.104 KiB
[ebuild  N     ] dev-lang/ruby-1.9.3_p551-r1:1.9::gentoo  USE="berkdb gdbm ncurses rdoc readline ssl yaml -debug -doc -examples -ipv6 -rubytests -socks5 -xemacs" 9.818 KiB
[ebuild  N     ] dev-ruby/rubygems-2.4.8::gentoo  USE="-server {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 438 KiB
[ebuild  N     ] virtual/rubygems-11::gentoo  RUBY_TARGETS="ruby19 ruby20 ruby22 (-rbx) -ruby21" 0 KiB
[ebuild  N     ] dev-ruby/minitest-5.7.0:5::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 70 KiB
[ebuild  N     ] dev-ruby/power_assert-0.2.3::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby20 ruby22 -ruby21" 13 KiB
[ebuild  N     ] dev-ruby/test-unit-3.1.2:2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 120 KiB
[ebuild  N     ] dev-ruby/rake-10.4.2::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 128 KiB
[ebuild  N     ] dev-ruby/json-1.8.3::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 149 KiB
[ebuild  N     ] dev-ruby/racc-1.4.12::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 113 KiB
[ebuild  N     ] dev-ruby/rdoc-4.1.2-r1::gentoo  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 ruby22 -ruby21" 713 KiB
[ebuild  NS    ] dev-qt/qtcore-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="icu systemd -debug {-test}" 45.268 KiB
[ebuild  N     ] dev-qt/qtxml-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtscript-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug -scripttools {-test}" 2.531 KiB
[ebuild  NS    ] dev-qt/qttest-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtsql-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="sqlite -debug -freetds -mysql -oci8 -odbc -postgres {-test}" 0 KiB
[ebuild  N     ] dev-qt/qtconcurrent-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  N     ] dev-qt/qtpaths-5.4.2:5::gentoo  USE="-debug {-test}" 9.115 KiB
[ebuild  N     ] kde-frameworks/kf-env-3:5::gentoo  0 KiB
[ebuild  NS    ] dev-qt/qtdbus-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 0 KiB
[ebuild  N     ] dev-qt/qdbus-5.4.2:5::gentoo  USE="-debug {-test}" 0 KiB
[ebuild  N     ] kde-frameworks/ki18n-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 573 KiB
[ebuild  N     ] kde-frameworks/karchive-5.11.0:5/5.11::gentoo  USE="bzip2 lzma -debug -doc {-test}" 107 KiB
[ebuild  N     ] kde-frameworks/threadweaver-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 1.376 KiB
[ebuild  N     ] kde-frameworks/kitemmodels-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 366 KiB
[ebuild  N     ] kde-frameworks/kdoctools-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 397 KiB
[ebuild  N     ] kde-frameworks/kjs-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 284 KiB
[ebuild  N     ] dev-qt/qtnetwork-5.4.2:5::gentoo  USE="networkmanager ssl -bindist -connman -debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtxmlpatterns-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 1.286 KiB
[ebuild  N     ] kde-frameworks/attica-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 60 KiB
[ebuild  N     ] kde-frameworks/kunitconversion-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 606 KiB
[ebuild  N     ] kde-frameworks/networkmanager-qt-5.11.0:5/5.11::gentoo  USE="-debug -doc -teamd {-test}" 150 KiB
[ebuild  NS    ] dev-qt/qtgui-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="accessibility gif harfbuzz jpeg png udev xcb -debug -egl -eglfs -evdev -gles2 -gtkstyle -ibus -kms {-test}" 0 KiB
[ebuild  N     ] dev-qt/qtwidgets-5.4.2:5::gentoo  USE="png xcb -debug -gles2 -gtkstyle {-test}" 0 KiB
[ebuild   R    ] app-text/poppler-0.33.0-r1:0/52::gentoo  USE="cairo cxx introspection jpeg jpeg2k lcms png qt5* tiff utils -cjk -curl -debug -doc -qt4*" 0 KiB
[ebuild  N     ] kde-plasma/kdecoration-5.3.2:5::gentoo  USE="-debug" 33 KiB
[ebuild  N     ] kde-plasma/kwayland-5.3.2:5::gentoo  USE="-debug {-test}" 91 KiB
[ebuild  N     ] dev-qt/qtx11extras-5.4.2:5::gentoo  USE="-debug {-test}" 25 KiB
[ebuild  NS    ] dev-qt/qtdeclarative-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="widgets xml -debug -gles2 -localstorage {-test}" 18.064 KiB
[ebuild  NS    ] dev-qt/qtsvg-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug {-test}" 1.752 KiB
[ebuild  N     ] dev-qt/qtprintsupport-5.4.2:5::gentoo  USE="cups -debug -gles2 {-test}" 0 KiB
[ebuild   R    ] dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1::gentoo  USE="qt5* -debug -doc -qt4* {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] sys-auth/polkit-qt-0.112.0-r1::gentoo  USE="qt5* -debug -examples -qt4*" 0 KiB
[ebuild  NS    ] dev-qt/qtopengl-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="-debug -gles2 {-test}" 0 KiB
[ebuild  N     ] kde-plasma/kfilemetadata-5.9.2:5::gentoo  USE="exif ffmpeg pdf taglib -debug -epub -libav {-test}" 118 KiB
[ebuild  N     ] kde-frameworks/kguiaddons-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 39 KiB
[ebuild  NS    ] dev-qt/designer-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="declarative -debug {-test} -webkit" 0 KiB
[ebuild  N     ] dev-qt/linguist-tools-5.4.2:5::gentoo  USE="qml -debug {-test}" 0 KiB
[ebuild  NS    ] dev-qt/qtwebkit-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="opengl qml udev -debug -gstreamer -gstreamer010 -multimedia -printsupport {-test} -webp" 32.677 KiB
[ebuild  N     ] kde-frameworks/kidletime-5.11.0:5/5.11::gentoo  USE="-debug -doc" 23 KiB
[ebuild  N     ] dev-qt/qtquickcontrols-5.4.2:5::gentoo  USE="widgets -debug {-test}" 929 KiB
[ebuild  NS    ] dev-qt/qtmultimedia-5.4.2:5::gentoo [4.8.7:4::gentoo] USE="alsa opengl pulseaudio qml widgets -debug -gstreamer -openal {-test}" 3.328 KiB
[ebuild  N     ] kde-plasma/libkscreen-5.3.2:5::gentoo  USE="-debug {-test}" 70 KiB
[ebuild  N     ] dev-qt/qtquick1-5.4.2:5::gentoo  USE="opengl xml -debug -designer {-test} -webkit" 15.647 KiB
[ebuild  N     ] kde-frameworks/kcoreaddons-5.11.0:5/5.11::gentoo  USE="fam nls -debug -doc {-test}" 295 KiB
[ebuild  N     ] kde-frameworks/kconfig-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 214 KiB
[ebuild  N     ] kde-frameworks/kwidgetsaddons-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 2.077 KiB
[ebuild  N     ] kde-frameworks/kwindowsystem-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 157 KiB
[ebuild  N     ] kde-frameworks/kdbusaddons-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 33 KiB
[ebuild  N     ] kde-frameworks/kitemviews-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 73 KiB
[ebuild  N     ] kde-frameworks/kcodecs-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 219 KiB
[ebuild  N     ] kde-frameworks/solid-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 260 KiB
[ebuild  N     ] kde-frameworks/sonnet-5.11.0:5/5.11::gentoo  USE="aspell nls -debug -doc -hunspell {-test}" 268 KiB
[ebuild  N     ] kde-frameworks/kdnssd-5.11.0:5/5.11::gentoo  USE="nls zeroconf -debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/kjsembed-5.11.0:5/5.11::gentoo  USE="-debug -doc" 161 KiB
[ebuild  N     ] x11-misc/sddm-0.11.0-r1::gentoo  USE="systemd (-consolekit) -upower" 4.625 KiB
[ebuild  N     ] kde-frameworks/kauth-5.11.0:5/5.11::gentoo  USE="nls (policykit) -debug -doc {-test}" 81 KiB
[ebuild  N     ] kde-frameworks/kcrash-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 20 KiB
[ebuild  N     ] kde-frameworks/kcompletion-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 114 KiB
[ebuild  N     ] kde-frameworks/kjobwidgets-5.11.0:5/5.11::gentoo  USE="X nls -debug -doc {-test}" 87 KiB
[ebuild  N     ] kde-frameworks/kpackage-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 96 KiB
[ebuild  N     ] kde-frameworks/kpty-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/kdesignerplugin-5.11.0:5/5.11::gentoo  USE="nls -debug -designer -doc -webkit" 85 KiB
[ebuild  N     ] kde-frameworks/kservice-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 258 KiB
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 351 KiB
[ebuild  N     ] kde-frameworks/kglobalaccel-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 80 KiB
[ebuild  N     ] kde-frameworks/kiconthemes-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 191 KiB
[ebuild  N     ] kde-frameworks/kemoticons-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 72 KiB
[ebuild  N     ] kde-frameworks/kdesu-5.11.0:5/5.11::gentoo  USE="X -debug -doc" 43 KiB
[ebuild  N     ] kde-frameworks/kpeople-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 56 KiB
[ebuild  N     ] kde-frameworks/ktextwidgets-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 299 KiB
[ebuild  N     ] kde-frameworks/kxmlgui-5.11.0:5/5.11::gentoo  USE="-attica -debug -doc {-test}" 843 KiB
[ebuild  N     ] kde-frameworks/kbookmarks-5.11.0:5/5.11::gentoo  USE="nls -debug -doc {-test}" 113 KiB
[ebuild   R    ] media-libs/phonon-4.8.3-r1::gentoo  USE="designer pulseaudio qt5* vlc (-aqua) -debug -gstreamer -qt4* (-zeitgeist)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/phonon-vlc-0.8.2::gentoo  USE="qt5* -debug -qt4*" 0 KiB
[ebuild  N     ] kde-frameworks/knotifications-5.11.0:5/5.11::gentoo  USE="X dbus nls -debug -doc" 91 KiB
[ebuild  N     ] kde-frameworks/kwallet-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 262 KiB
[ebuild  N     ] kde-frameworks/kio-5.11.0:5/5.11::gentoo  USE="X acl -debug -doc -kerberos {-test}" 2.780 KiB
[ebuild  N     ] kde-frameworks/kinit-5.11.0:5/5.11::gentoo  USE="caps -debug -doc" 115 KiB
[ebuild  N     ] kde-frameworks/kded-5.11.0:5/5.11::gentoo  USE="-debug -doc" 35 KiB
[ebuild  N     ] kde-frameworks/kdeclarative-5.11.0:5/5.11::gentoo  USE="-debug -doc" 156 KiB
[ebuild  N     ] kde-frameworks/kparts-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 151 KiB
[ebuild  N     ] kde-frameworks/knewstuff-5.11.0:5/5.11::gentoo  USE="-debug -doc" 831 KiB
[ebuild  N     ] kde-frameworks/knotifyconfig-5.11.0:5/5.11::gentoo  USE="phonon -debug -doc" 81 KiB
[ebuild  N     ] kde-frameworks/frameworkintegration-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 1.739 KiB
[ebuild  N     ] kde-frameworks/kxmlrpcclient-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 28 KiB
[ebuild  N     ] kde-frameworks/kcmutils-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 230 KiB
[ebuild  N     ] kde-frameworks/kdelibs4support-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 3.140 KiB
[ebuild  N     ] kde-frameworks/khtml-5.11.0:5/5.11::gentoo  USE="X -debug -doc {-test}" 2.023 KiB
[ebuild  N     ] kde-frameworks/kdewebkit-5.11.0:5/5.11::gentoo  USE="-debug -doc" 29 KiB
[ebuild  N     ] kde-frameworks/ktexteditor-5.11.0:5/5.11::gentoo  USE="-debug -doc -git {-test}" 2.740 KiB
[ebuild  N     ] kde-frameworks/kactivities-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 162 KiB
[ebuild  N     ] kde-plasma/kde-cli-tools-5.3.2:5::gentoo  USE="X -debug -handbook {-test}" 474 KiB
[ebuild  N     ] kde-plasma/baloo-5.9.2:5::gentoo  USE="-debug" 141 KiB
[ebuild  N     ] kde-frameworks/plasma-5.11.0:5/5.11::gentoo  USE="X opengl -debug -doc -egl {-test}" 3.916 KiB
[ebuild  N     ] kde-plasma/breeze-5.3.2:5::gentoo  USE="-debug -qt4" 28.380 KiB
[ebuild  N     ] kde-frameworks/krunner-5.11.0:5/5.11::gentoo  USE="-debug -doc {-test}" 47 KiB
[ebuild  N     ] kde-plasma/kwin-5.3.2:5::gentoo  USE="-debug -gles2 -handbook {-test} -wayland" 3.739 KiB
[ebuild  N     ] kde-plasma/libksysguard-5.3.2:5::gentoo  USE="X processui -debug {-test}" 549 KiB
[ebuild  N     ] kde-plasma/milou-5.3.2:5::gentoo  USE="-debug" 50 KiB
[ebuild  N     ] kde-plasma/oxygen-5.3.2:5::gentoo  USE="-debug" 4.362 KiB
[uninstall     ] kde-base/kdebase-cursors-4.11.20:4/4.11::gentoo  USE="(-aqua)"
[blocks b      ] kde-base/kdebase-cursors ("kde-base/kdebase-cursors" is blocking kde-plasma/oxygen-5.3.2)
[ebuild  N     ] kde-plasma/kio-extras-5.3.2:5::gentoo  USE="exif mtp phonon sftp -debug -handbook -samba -slp {-test}" 599 KiB
[ebuild  N     ] kde-plasma/plasma-workspace-5.3.2:5::gentoo  USE="dbus drkonqi systemmonitor -debug -gps -handbook (-prison) -qalculate {-test}" 6.700 KiB
[uninstall     ] kde-base/ksmserver-4.11.20:4/4.11::gentoo  USE="(-aqua) -debug"
[blocks b      ] kde-base/ksmserver ("kde-base/ksmserver" is blocking kde-plasma/plasma-workspace-5.3.2)
[uninstall     ] kde-base/kcminit-4.11.20:4/4.11::gentoo  USE="(-aqua) -debug"
[blocks b      ] kde-base/kcminit ("kde-base/kcminit" is blocking kde-plasma/plasma-workspace-5.3.2)
[uninstall     ] kde-base/klipper-4.11.20:4/4.11::gentoo  USE="(-aqua) -debug -handbook -prison"
[blocks b      ] kde-base/klipper ("kde-base/klipper" is blocking kde-plasma/plasma-workspace-5.3.2)
[uninstall     ] kde-base/kdebase-startkde-4.11.20:4/4.11::gentoo  USE="(-aqua) -wallpapers"
[blocks b      ] kde-base/kdebase-startkde ("kde-base/kdebase-startkde" is blocking kde-plasma/plasma-workspace-5.3.2)
[uninstall     ] kde-base/krunner-4.11.20:4/4.11::gentoo  USE="opengl (-aqua) -debug"
[blocks b      ] kde-base/krunner ("kde-base/krunner" is blocking kde-plasma/plasma-workspace-5.3.2)
[uninstall     ] kde-base/ksplash-4.11.20:4/4.11::gentoo  USE="xinerama (-altivec) (-aqua) -debug" CPU_FLAGS_X86="mmx sse sse2 -3dnow"
[blocks b      ] kde-base/ksplash ("kde-base/ksplash" is blocking kde-plasma/plasma-workspace-5.3.2)
[ebuild  N     ] kde-plasma/plasma-desktop-5.3.2:5::gentoo  USE="fontconfig pulseaudio usb -debug -gtk2 -gtk3 -handbook -legacy-systray -qt4 {-test} -touchpad" 5.751 KiB
[uninstall     ] kde-apps/kcontrol-4.14.3:4/4.14::gentoo  USE="(-aqua) -debug -handbook"
[blocks b      ] kde-apps/kcontrol:4 ("kde-apps/kcontrol:4" is blocking kde-plasma/kio-extras-5.3.2)
[blocks b      ] kde-apps/kcontrol ("kde-apps/kcontrol" is blocking kde-plasma/plasma-desktop-5.3.2)
[uninstall     ] kde-apps/attica-4.14.3:4/4.14::gentoo  USE="(-aqua) -debug"
[blocks b      ] kde-apps/attica ("kde-apps/attica" is blocking kde-plasma/plasma-desktop-5.3.2)
[uninstall     ] kde-apps/kdepasswd-4.14.3:4/4.14::gentoo  USE="(-aqua) -debug -handbook"
[blocks b      ] kde-apps/kdepasswd ("kde-apps/kdepasswd" is blocking kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-apps/kde4-l10n[-minimal] ("kde-apps/kde4-l10n[-minimal]" is blocking kde-plasma/libksysguard-5.3.2, kde-plasma/kio-extras-5.3.2, kde-plasma/milou-5.3.2, kde-plasma/baloo-5.9.2, kde-plasma/plasma-workspace-5.3.2, kde-plasma/kde-cli-tools-5.3.2, kde-plasma/kfilemetadata-5.9.2, kde-plasma/kwin-5.3.2, kde-plasma/plasma-desktop-5.3.2, kde-plasma/kdecoration-5.3.2, kde-plasma/libkscreen-5.3.2, kde-plasma/oxygen-5.3.2, kde-plasma/breeze-5.3.2, kde-plasma/kwayland-5.3.2)
[blocks B      ] kde-apps/kdebase-kioslaves:4[-minimal(-)] ("kde-apps/kdebase-kioslaves:4[-minimal(-)]" is blocking kde-plasma/kio-extras-5.3.2)
[blocks B      ] kde-base/systemsettings ("kde-base/systemsettings" is blocking kde-plasma/kwin-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/kwin ("kde-base/kwin" is blocking kde-plasma/kwin-5.3.2)
[blocks B      ] kde-base/plasma-workspace ("kde-base/plasma-workspace" is blocking kde-plasma/plasma-workspace-5.3.2, kde-plasma/plasma-desktop-5.3.2)
[blocks B      ] kde-base/libtaskmanager ("kde-base/libtaskmanager" is blocking kde-plasma/plasma-workspace-5.3.2)
[blocks B      ] kde-base/kactivities:4[-minimal(-)] ("kde-base/kactivities:4[-minimal(-)]" is blocking kde-frameworks/kactivities-5.11.0)
[blocks B      ] kde-base/ksysguard:4 ("kde-base/ksysguard:4" is blocking kde-plasma/libksysguard-5.3.2)

Total: 128 packages (110 new, 13 in new slots, 5 reinstalls, 10 uninstalls), Size of downloads: 255.165 KiB
Conflict: 19 blocks (8 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-auth/polkit-qt:0

  (sys-auth/polkit-qt-0.112.0-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    sys-auth/polkit-qt[qt5] required by (kde-frameworks/kauth-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                       ^^^                                                                                                                         

  (sys-auth/polkit-qt-0.112.0-r1:0/0::gentoo, installed) pulled in by
    >=sys-auth/polkit-qt-0.103.0[qt4(+)] required by (sys-auth/polkit-kde-agent-0.99.1-r1:4/4::gentoo, installed)
                                                                                                                                 
    >=sys-auth/polkit-qt-0.103.0[qt4(+)] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                                                                                                                         

app-text/poppler:0

  (app-text/poppler-0.33.0-r1:0/52::gentoo, ebuild scheduled for merge) pulled in by
    app-text/poppler[qt5] required by (kde-plasma/kfilemetadata-5.9.2:5/5::gentoo, ebuild scheduled for merge)
                     ^^^                                                                                                                         

  (app-text/poppler-0.33.0-r1:0/52::gentoo, installed) pulled in by
    >=app-text/poppler-0.20[qt4,-exceptions(-)] required by (kde-apps/okular-4.14.3:4/4.14::gentoo, installed)
                            ^^^                                                                                                                   

media-libs/phonon:0

  (media-libs/phonon-4.8.3-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/phonon[qt5] required by (kde-frameworks/khtml-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                         
    media-libs/phonon[qt5] required by (kde-plasma/kio-extras-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                       
    media-libs/phonon[qt5] required by (kde-frameworks/knotifyconfig-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                                 
    media-libs/phonon[qt5] required by (kde-frameworks/knotifications-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                                   
    media-libs/phonon[qt5] required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                             
    media-libs/phonon[qt5] required by (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                      ^^^                                                                                                                           
    >=media-libs/phonon-4.8.0[qt4=,qt5=] required by (media-libs/phonon-vlc-0.8.2:0/0::gentoo, ebuild scheduled for merge)
                              ^^^^ ^^^^                                                                                                                                         

  (media-libs/phonon-4.8.3-r1:0/0::gentoo, installed) pulled in by
    media-libs/phonon[qt4] required by (media-plugins/kipi-plugins-4.10.0:4/4::gentoo, installed)
                      ^^^                                                                                                           
    media-libs/phonon[designer,qt4] required by (dev-qt/designer-4.8.7:4/4::gentoo, installed)
                               ^^^                                                                                               
    media-libs/phonon[qt4] required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
                      ^^^                                                                                                     
    media-libs/phonon[qt4] required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)
                      ^^^                                                                                                   
    media-libs/phonon[qt4] required by (kde-apps/marble-4.14.3:4/4.14::gentoo, installed)
                      ^^^                                                                                                   
    media-libs/phonon[qt4] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                      ^^^                                                                                                     
    >=media-libs/phonon-4.8.0[qt4=,qt5=] required by (media-libs/phonon-vlc-0.8.2:0/0::gentoo, installed)
                              ^^^^ ^^^^                                                                                                                         

media-libs/phonon-vlc:0

  (media-libs/phonon-vlc-0.8.2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/phonon-vlc-0.8.0[qt4?,qt5?] required by (media-libs/phonon-4.8.3-r1:0/0::gentoo, ebuild scheduled for merge)
                                       ^^^^                                                                                                                     

  (media-libs/phonon-vlc-0.8.2:0/0::gentoo, installed) pulled in by
    >=media-libs/phonon-vlc-0.8.0[qt4?,qt5?] required by (media-libs/phonon-4.8.3-r1:0/0::gentoo, installed)
                                  ^^^^                                                                                                         

dev-libs/libdbusmenu-qt:0

  (dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1:0/0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libdbusmenu-qt[qt5] required by (kde-frameworks/knotifications-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
                            ^^^                                                                                                                                   
    dev-libs/libdbusmenu-qt[qt5] required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
                            ^^^                                                                                                                             

  (dev-libs/libdbusmenu-qt-0.9.3_pre20140619-r1:0/0::gentoo, installed) pulled in by
    >=dev-libs/libdbusmenu-qt-0.3.2[qt4(+)] required by (kde-base/kdelibs-4.14.9:4/4.14::gentoo, installed)
                                                                                                                           


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge) pulled in by
    plasma-desktop

  (kde-base/plasma-workspace-4.11.20:4/4.11::gentoo, installed) pulled in by
    >=kde-base/plasma-workspace-4.4:4[aqua=] (>=kde-base/plasma-workspace-4.4:4[-aqua]) required by (kde-misc/kdeconnect-0.8:4/4::gentoo, installed)

  (kde-base/kactivities-4.13.3:4/4.13::gentoo, installed) pulled in by
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/plasma-runtime-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/dolphin-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/gwenview-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.13:4[aqua=] (>=kde-base/kactivities-4.13:4[-aqua]) required by (kde-apps/kate-4.14.3:4/4.14::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/libtaskmanager-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/plasma-workspace-4.11.20:4/4.11::gentoo, installed)
    >=kde-base/kactivities-4.11.20:4[aqua=] (>=kde-base/kactivities-4.11.20:4[-aqua]) required by (kde-base/kwin-4.11.20:4/4.11::gentoo, installed)

  (kde-base/systemsettings-4.11.20:4/4.11::gentoo, installed) pulled in by
    >=kde-base/systemsettings-4.4:4[aqua=] (>=kde-base/systemsettings-4.4:4[-aqua]) required by (x11-themes/qtcurve-1.8.18:0/0::gentoo, installed)

  (kde-apps/kdebase-kioslaves-4.14.3:4/4.14::gentoo, installed) pulled in by
    kde-apps/kdebase-kioslaves:4 required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)

  (kde-base/kwin-4.11.20:4/4.11::gentoo, installed) pulled in by
    >=kde-base/kwin-4.4:4[aqua=] (>=kde-base/kwin-4.4:4[-aqua]) required by (x11-themes/qtcurve-1.8.18:0/0::gentoo, installed)
    >=kde-base/kwin-4.11.20:4[aqua=] (>=kde-base/kwin-4.11.20:4[-aqua]) required by (kde-base/systemsettings-4.11.20:4/4.11::gentoo, installed)

  (kde-apps/kde4-l10n-4.14.3:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kde-gtk-config-2.2.1:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/plasma-nm-0.9.3.6:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.10:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.10:4[-aqua,linguas_de(+)]) required by (media-plugins/kipi-plugins-4.10.0:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (sys-auth/polkit-kde-agent-0.99.1-r1:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kscreen-1.0.71:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.10:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.10:4[-aqua,linguas_de(+)]) required by (media-gfx/digikam-4.10.0:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (app-cdr/k3b-2.0.3-r2:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.8:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.8:4[-aqua,linguas_de(+)]) required by (kde-misc/kshutdown-3.2:4/4::gentoo, installed)
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_de(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_de(+)]) required by (kde-misc/kdeconnect-0.8:4/4::gentoo, installed)

  (kde-frameworks/kactivities-5.11.0:5/5.11::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/kwin-5.3.2:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11 required by (kde-frameworks/plasma-5.11.0:5/5.11::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/plasma-workspace-5.3.2:5/5::gentoo, ebuild scheduled for merge)
    >=kde-frameworks/kactivities-5.11.0:5 required by (kde-plasma/plasma-desktop-5.3.2:5/5::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


!!! The following installed packages are masked:
- sys-kernel/gentoo-sources-4.1.1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Patrick Lauer <patrick@gentoo.org> (1 Jul 2015)
# Wrong version #553670

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 01, 2015 8:10 pm    Post subject: Reply with quote

Yeah, but much less.

Code:
It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.


Please try with a backtrack value of 1000 - the better part of remaining blocks seems to be due to existing kde4 ebuilds not being considered for rebuild with [minimal] flag (which is activated by plasma profile).

EDIT: Do _not_ add USE="-qt4"
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 8:18 pm    Post subject: Reply with quote

Hmm, I could just remove them all from world and put them in a list to re-add, in case something wents wrong, right?
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jul 01, 2015 8:23 pm    Post subject: Reply with quote

...or rebuild them, so that they pick up USE=minimal.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Wed Jul 01, 2015 8:24 pm    Post subject: Reply with quote

Oki, will give that a try tomorrow. Late already. Thanks so far!
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
Martux
Veteran
Veteran


Joined: 04 Feb 2005
Posts: 1917

PostPosted: Sat Jul 04, 2015 5:36 am    Post subject: Reply with quote

I've deleted everything KDE4 related from world now but still get so many [B]... If I start uninstalling parts of the system I am still using now, it might leave me with a completely borked system. I start thinking that I might want to wait until KDE5 gets stabilized in ~. Any ideas when that might be?
_________________
"Coincidence is God's way of remaining anonymous."
Albert Einstein
"The road to success is always under construction"
Back to top
View user's profile Send private message
schorsch_76
Guru
Guru


Joined: 19 Jun 2012
Posts: 450

PostPosted: Sat Jul 04, 2015 6:16 am    Post subject: Reply with quote

Just do a backup or snapshot (btrfs or zfs) and give it a try ;)
_________________
// valid again: I forgot about the git access. Now 1.2GB big. Start: 2015-06-25
git daily portage tree
Web: https://portage.schorsch-tech.de
git clone https://portage.schorsch-tech.de/portage.git
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sat Jul 04, 2015 6:38 am    Post subject: Reply with quote

Martux wrote:
I've deleted everything KDE4 related from world now but still get so many [B]

What exactly?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum